AutoCAD Visual LISP / AutoLISP :: Make Dimensions Parallel To UCS
Dec 7, 2012
I have tools like flatten and toolpac to correct plines and other things to be parallel to the ucs (world), but not for dimensions.
I attached a file with problem dins, any tool to get them back to flat?
[URL]
View 1 Replies
ADVERTISEMENT
Dec 4, 2012
I was adding a lot of aligned dimensions to a drawing and some where along the way they changed from aligned dimensions to rotated dimensions, even in the same string of dimensions.
View 9 Replies
View Related
Jun 29, 2013
When selecting any dimension type (from the standard AutoCAD toolbars) i would like it to already be in the layer "dimensions". Currently it starts in layer 0.
I've been browsing the web a bit and found a lot about it but people are talking about LISP's?? I can do magic things in AutoCAD but i am a complete stranger to LISP's, Macro's, etc... Would like to learn but where to start..
Anyway i can cover this with something else then writing an LISP?
View 9 Replies
View Related
Jul 16, 2012
I'm not able to control the dimensions of image slide..Whatever value I use for height and width the image is displayed too small in the tile.
here's my
: image {
key = "sld";
height = 5;
width = 30;
[code]....
View 3 Replies
View Related
Oct 25, 2012
The title says it all, Im trying to find a way to select just the vertical dimensions. Quick select doesn't work because there's no difference between a vertical and a horizontal dimension, so i was wondering if there was a LISP or something else i could do to accomplish this.
View 5 Replies
View Related
Nov 1, 2011
I have a lisp routine that creates a "frame wall" and I want to be able to automatically dimension said wall within the same routine. I have created two sets of points, each set being on its own new layer. I have made selection sets of each set of points, and want to cycle through each set dimensioning as required. This what I have so far for this part of the routine:
(command "DIMSCALE" 24)
(setq sel1 (ssget "x" '("VPOINTS")))
(setq TC (polar (ssname sel1 0) (dtr 180.0) 9))
(command "DIMLINEAR" (ssname sel1 0) (ssname sel1 1)) "V" (polar TC (dtr 180.0) 9) "")
[code]...
When I run the program I get the error: bad point argument. So what I think is happening is that the ssname command is not returning the actual value but just the name? I am new to AutoLisp and even newer to selection sets so be easy... Along with this, I am also curious as to how a selection set is ordered when it is chosen ie how does it determine what would be in (ssname sel1 0). Also, how would one go about deleting the points in these selection sets after the dimensioning has been completed.
View 5 Replies
View Related
Dec 21, 2012
I'm working up a routine to simplify clearing some space. I've been cruising here and other places piecing together something, but what I have ended up with is a routine that deletes all of the intended information (possibly needing repetition for those hard-to-reach blocks), but also deletes dimensions from the model space.
There are several things our company does which are "non-standard" but we have been at it for a while and I am trying to work with what I was given. Following is the code.
;;; not sure who Jeff M is, but assuming this bit is from him(defun odbx-test (/ dbx_doc) ;; edited 5/28/06 by Jeff M (if (< (setq dbxver (atof (getvar "ACADVER"))) 15.06) (progn (alert "ObjectDBX method not applicablein this AutoCAD version" ) (exit) (princ) (gc) ) (progn (if (= (atoi (getvar "ACADVER")) 15)(progn (if (not (vl-registry-read "HKEY_CLASSES_ROOT\ObjectDBX.AxDbDocument\CLSID" ) ) (startapp "regsvr32.exe" (strcat "/s "" (findfile "axdb15.dll") """)
[code]....
View 2 Replies
View Related
Feb 6, 2006
Have Lisp to place aligned dimensions on each segment of a polyline?
I would use it for reinforcing bar detailing.
View 9 Replies
View Related
May 14, 2012
how to sensibly extract angular dimensions as attributes.
I can extract the attributes from a block containing angular dimensions, the attributes list angular dimensions as a field but don't actually list the number of degrees for the angular dimension.
It is the number of degrees that I am actually trying to obtain - but I cannot work out how to obtain the information
View 3 Replies
View Related
Dec 2, 2010
I need a lisp routine which will delete all the dimensions inside selected block or blocks, including nested blocks inside.
View 9 Replies
View Related
Dec 19, 2012
make a LISP that will work with my room dimensioning? I'd like to be able to specify the width and depth of the room using a command similar to the "dist" command, and then click a point to place a text based on the distances gathered. I'd also like the text to be formated into architectural units and displayed like this: 12'-0" X 13'-5". Also, if possible, round the result to the nearest inch (to avoid 1/2" and 1/4" dimensions).
View 9 Replies
View Related
Jun 24, 2013
i have one table make which field from block. Is possible sum?
View 4 Replies
View Related
Oct 8, 2009
Is there any way to make a block uniform scale using lisp? and also make a block drawing uniform scale?
View 5 Replies
View Related
Jul 11, 2012
It's possible make a fillet with window selection?
View 4 Replies
View Related
Jan 17, 2013
Is it possible to make an attribute or a field in a template with page numbering for layouts? Is it possible to make an attribute or a field in a template with the name of the layout?
View 7 Replies
View Related
Nov 1, 2007
I want unexplodable blocks to be explodable. I know thr is explodable property of a block.but don't know to use lisp...
View 6 Replies
View Related
Jun 29, 2013
My first lisp, so bring it hard on me I want to be an expert in autolisp .
My lisp is meant to do the following:
draw a rectangle with ”0” fillet. It can be done either via rectangle command, or pline command. The attached lisp has the variant with the pline-case.
The, I need to draw inside a smaller rectangle, with a fillet value, that is promoted and indicated by the user. The smaller rectangle must be centered inside the bigger one. I thought it was a good idea, to take one insertion-point for the bigger rectangle.
and to calculate a 2-nd insertion-point for the smaller rectangle, via "polar" function.
What I get:
the 2-nd insertion point is put the same as the 1-st one.
I wish to draw the bigger rectangle with one layer "example: Layer 1", and the smaller rectangle with another layer "example: Layer 2".
View 9 Replies
View Related
Nov 19, 2011
The following function
(command "_break" ent1 p1 p2)
break a polyline into two separate polylines. How can I get a selection set with two separate polylines?
View 4 Replies
View Related
Oct 20, 2011
I have to convert numerous AutoCAD details to Revit and intend to explode the dwg file once imported to Revit and then tidy up the drawing from there.
Lisp to do the following:
1) Delete all hatch
2) Xplode all blocks; layers to inherit from parent block
3) Delete all dimensions
4) Convert text to Mtext
5) Change all Mtext colours to "bylayer"
6) Delete all leaders
7) Purge all
8) Saveas
View 9 Replies
View Related
Oct 16, 2001
is it possible to make a wipeout but with a polyline that has arcs?
View 8 Replies
View Related
Dec 2, 2013
I need to make all the obj like one pol after I select them all not just the last one so I can get the intersection of each obj1
(DEFUN C:CHF ()
(vl-load-com)
(if (not (member "geomcal.arx" (arx)))
(arxload "geomcal")
)
(command "undo" "BE")
(setq osm (getvar "osmode"))
(setvar "osmode" 0)
[code]....
View 5 Replies
View Related
Aug 16, 2013
I have a lisp that draws variety of entities such as lines, arcs, hatches, points, blocks, text etc. How can I make one single block containing all of them, i.e. one block that has all items drawn since the lisp was invoked.
View 8 Replies
View Related
Aug 27, 2012
i want to put the information of summaryinfo into the property of the file visible in the file explorer of windows XP
(setq activedocument (vla-get-activedocument (vlax-get-acad-object)))
i want to put this in the properties of the file (vla-get-title SummaryInfo)
because if i set the summaryInfo in autocad, when i open the explorer this information is not here
View 2 Replies
View Related
Nov 16, 2012
i failed to find one which would change string of a text to other for all types of objects. I mean it was usually either only multitext, or only text, dimensions or attributes.creating one which would change in abt 200 drawings:
-001
-002
-003
to:
-00001
-00002
-00003
in attributes, text, multittext, leaders, multileaders, dimensions..... at the same moment?
It is meant to be used in ScriptPro (by loading lisp in script).
If not possible, then can also open each file and run the lisp in each of them - still would save lot of time.
View 4 Replies
View Related
Dec 17, 2012
I rarely paste entities using ctrl-v, I use the WTIT.lsp commands instead, or edit pulldown to paste entities.
I want a CTRL-V to paste to command line, always, no matter what.
I tried killing the keyboard shortcuts through the CUI, but that just stopped ctrl-v from doing anything when I was not on command line.
[URL] ....
View 4 Replies
View Related
Oct 27, 2011
I'm trying to essentially make a mini frame generator in autolisp. Namely a function where one can enter the width, height, thickness, how many bays, how many day light openings, and then autocad draws the frame. Right now I'm just trying to get two settings to work with each other - and upon opening autocad the function works initially but then when I try to switch to the other setting it does not work. I felt like this was a global/local variable issue.
View 9 Replies
View Related
Sep 9, 2011
We are using this code for Page setup. But We don,t know how to make this page setup current and active.
(defun c:pgs ()(acet-error-init(list(list"cmdecho"0"osmode" 0)T))(vl-load-com)(setvar "Tilemode" 0)(vla-Add (vla-get-PlotConfigurations (vla-get-ActiveDocument (vlax-get-acad-object))) "A1" :vlax-false)(vla-put-PageSetupOverridesTemplateFile (vla-get-files (vla-get-preferences (vlax-get-acad-object))) "A1")(setq item (vla-Item (vla-get-PlotConfigurations (vla-get-ActiveDocument
[code]........
View 3 Replies
View Related
Dec 16, 2011
I would like to make an on screen layer picker routine that sits in the upper left corner of the screen and always stays there.
I currently have a list of layers printed out in the drawing that I can do a "select current layer by pick" but they are always getting in the way as they are part of the drawing.
I would mind if the pallette was part of the drawing if it could "float" and always stay in the upper left corner somehow.
View 2 Replies
View Related
Dec 27, 2011
I want to make a block which is visible to snap only on a special point, say pivot point.
View 7 Replies
View Related
Aug 1, 2012
I am trying to write a lisp routine that will make a layer called hatch, set it as current and then run the hatch command.
BUT the hatch command is not bring up the hatch dialogue box, it just puts things on the command line.
The layer is being made & set current.
The lisp is as follows:
(defun c:hh (/ ec)
(setq ec (getvar "cmdecho"))
(setvar "cmdecho" 0)
(command "-layer" "m" "hatch" "c" "8" "" "l" "continuous" "" "s" "hatch" "")
(command "hatch")
(setvar "cmdecho" ec)
)
On another matter, I have just found the bevel lisp routine by Terry Miller which works great BUT only for imperial measurements. How to make Terry's metric, that will work for metric measurements.
View 6 Replies
View Related
Jan 1, 2012
I still want it to have its normal behavior while in a command, but when not in a command it still enters the selection mode, which does not work, but if it would enter a zoom window command, it might be a more useful command.
View 5 Replies
View Related